## com.baidubce.services.lss.model
Class SecurityPolicy

    java.lang.Object
      com.baidubce.services.lss.model.SecurityPolicy

    public class SecurityPolicy

extends Object

Constructor Summary
`SecurityPolicy()`

Method Summary
`AntiLeech` `getAntiLeech()`
`AuthInfo` `getAuth()`
`Encryption` `getEncryption()`
`String` `getName()`
`void` `setAntiLeech(AntiLeech antiLeech)`
`void` `setAuth(AuthInfo auth)`
`void` `setEncryption(Encryption encryption)`
`void` `setName(String name)`
`String` `toString()`
`SecurityPolicy` `withAntiLeech(AntiLeech antiLeech)`
`SecurityPolicy` `withAuth(AuthInfo auth)`
`SecurityPolicy` `withEncryption(Encryption encryption)`
`SecurityPolicy` `withName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityPolicy

    public SecurityPolicy()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### withName

    public SecurityPolicy withName(String name)

### getAuth

    public AuthInfo getAuth()

### setAuth

    public void setAuth(AuthInfo auth)

### withAuth

    public SecurityPolicy withAuth(AuthInfo auth)

### getAntiLeech

    public AntiLeech getAntiLeech()

### setAntiLeech

    public void setAntiLeech(AntiLeech antiLeech)

### withAntiLeech

    public SecurityPolicy withAntiLeech(AntiLeech antiLeech)

### getEncryption

    public Encryption getEncryption()

### setEncryption

    public void setEncryption(Encryption encryption)

### withEncryption

    public SecurityPolicy withEncryption(Encryption encryption)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.